Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IBayerHistogram Class Reference

An interface to a histogram created from Bayer pixel data. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IBayerHistogram:

List of all members.

## Public Member Functions

virtual uint32_t | getBinCount () const =0
| Returns the number of bins in the histogram.
virtual Status | getHistogram (std::vector< BayerTuple< uint32_t > > *histogram) const =0
| Returns the histogram data.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IBayerHistogram ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

An interface to a histogram created from Bayer pixel data.

Bins are evenly distributed across the possible range of values, each containing the number of pixels whose value fell within the range for that bin.

Definition at line 67 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IBayerHistogram::~IBayerHistogram | ( |  | ) |

inlineprotected

Definition at line 89 of file CaptureMetadata.h.

## Member Function Documentation

virtual uint32_t Argus::IBayerHistogram::getBinCount | ( |  | ) | const

pure virtual

Returns the number of bins in the histogram.

virtual Status Argus::IBayerHistogram::getHistogram | ( | std::vector< BayerTuple< uint32_t > > * | histogram | ) | const

pure virtual

Returns the histogram data.

Parameters:

  [out] | histogram | The output vector to store the histogram data. Upon successful return, this vector will be replaced with getBinCount() bin values, each containing per-channel pixel counts within a BayerTuple container.

static const InterfaceID& Argus::IBayerHistogram::id | ( |  | ) |

inlinestatic

Definition at line 71 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h